SSHTUNNEL(1)

NAME
sshtunnel - SSH tunnels to remote server

DESCRIPTION
usage: sshtunnel [-h] [-U SSH_USERNAME] [-p SSH_PORT] [-P SSH_PASSWORD]

    -R IP:PORT [IP:PORT ...] [-L [IP:PORT ...]] [-k SSH_HOST_KEY] [-K KEY_FILE] [-S KEY_PASSWORD] [-t] [-v] [-V] [-x IP:PORT] [-c SSH_CONFIG_FILE] [-z] [-n] [-d [FOLDER ...]] ssh_address

Pure python ssh tunnel utils Version 0.1.4

  positional arguments:

ssh_address
    SSH server IP address (GW for SSH tunnels) set with "-- ssh_address" if immediately after -R or -L

  options:

-h, --help
    show this help message and exit

-U, --username SSH_USERNAME
    SSH server account username

-p, --server_port SSH_PORT
    SSH server TCP port (default: 22)

-P, --password SSH_PASSWORD
    SSH server account password

-R, --remote_bind_address IP:PORT [IP:PORT ...]
    Remote bind address sequence: ip_1:port_1 ip_2:port_2 ... ip_n:port_n Equivalent to ssh -Lxxxx:IP_ADDRESS:PORT If port is omitted, defaults to 22. Example: -R 10.10.10.10: 10.10.10.10:5900

-L, --local_bind_address [IP:PORT ...]
    Local bind address sequence: ip_1:port_1 ip_2:port_2 ... ip_n:port_n Elements may also be valid UNIX socket domains: /tmp/foo.sock /tmp/bar.sock ... /tmp/baz.sock Equivalent to ssh -LPORT:xxxxxxxxx:xxxx, being the local IP address optional. By default it will listen in all interfaces (0.0.0.0) and choose a random port. Example: -L :40000

-k, --ssh_host_key SSH_HOST_KEY
    Gateway's host key

-K, --private_key_file KEY_FILE
    RSA/DSS/ECDSA private key file

-S, --private_key_password KEY_PASSWORD
    RSA/DSS/ECDSA private key password

-t, --threaded
    Allow concurrent connections to each tunnel

-v, --verbose
    Increase output verbosity (default: ERROR)

-V, --version
    Show version number and quit

-x, --proxy IP:PORT
    IP and port of SSH proxy to destination

-c, --config SSH_CONFIG_FILE
    SSH configuration file, defaults to ~/.ssh/config

-z, --compress
    Request server for compression over SSH transport

-n, --noagent
    Disable looking for keys from an SSH agent

-d, --host_pkey_directories [FOLDER ...]
    List of directories where SSH pkeys (in the format `id_*`) may be found